Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://apigw.ipxo.com/billing/v1/{tenantUUID}/asn/validate/{asn} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subnets": [
"string"
]
}
'import requests
url = "https://apigw.ipxo.com/billing/v1/{tenantUUID}/asn/validate/{asn}"
payload = { "subnets": ["string"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({subnets: ['string']})
};
fetch('https://apigw.ipxo.com/billing/v1/{tenantUUID}/asn/validate/{asn}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asn": 0,
"valid": true,
"as_name": "string",
"uce3": true,
"ofac": true,
"spamhaus": true,
"country": "string",
"status": "string",
"subnets": [
{
"subnet": "string",
"already_added": true
}
]
}Validates which subnets can be added to cart with the given ASN
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
UUID
^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$ASN
Show child attributes